AM263Px MCU+ SDK: hsmclient_utils.c File Reference

| AM263Px MCU+ SDK 26.00.00 |

Functions | Variables
hsmclient_utils.c File Reference

## Functions
static void | HsmClient_getSocType (uint8_t soc_type, char *parsedVer)
| Parse SOC Type. More...
static void | HsmClient_getDeviceType (uint8_t device_type, char *parsedVer)
| Parse Device Type. More...
static void | HsmClient_getHSMType (uint8_t hsm_type, char *parsedVer)
| Parse Binary Type. More...
static void | HsmClient_getBinType (uint8_t bin_type, char *parsedVer)
| Parse Binary Type. More...
static uint8_t * | lib_itoa (uint32_t value, uint8_t *str, uint32_t base)
| Integer to alphanumberic conversion. More...
int32_t | HsmClient_parseVersion (HsmVer_t *tifsMcuVer, char *parsedVer)
| Parses Version string. More...
int32_t | HsmClient_parseDeviceConfig (uint32_t configType, uint32_t *configData, uint32_t configSize, char *parsedConfig)
| Parses Device Configuration data into a human-readable string. More...

## Variables
static const char | soc_type_arr [NUM_SOC_TYPE][8]

## Function Documentation

## ◆ HsmClient_getSocType()

static void HsmClient_getSocType | ( | uint8_t | soc_type,
|  | char * | parsedVer
| ) |  |
| static

Parse SOC Type.

Parameters

  soc_type | SOC Type from version struct.
  parsedVer | Pointer to parsed string.

## ◆ HsmClient_getDeviceType()

static void HsmClient_getDeviceType | ( | uint8_t | device_type,
|  | char * | parsedVer
| ) |  |
| static

Parse Device Type.

Parameters

  device_type | Device Type from version struct.
  parsedVer | Pointer to parsed string.

## ◆ HsmClient_getHSMType()

static void HsmClient_getHSMType | ( | uint8_t | hsm_type,
|  | char * | parsedVer
| ) |  |
| static

Parse Binary Type.

Parameters

  hsm_type | Binary Type from version struct.
  parsedVer | Pointer to parsed string.

## ◆ HsmClient_getBinType()

static void HsmClient_getBinType | ( | uint8_t | bin_type,
|  | char * | parsedVer
| ) |  |
| static

Parse Binary Type.

Parameters

  bin_type | Binary Type from version struct.
  parsedVer | Pointer to parsed string.

## ◆ lib_itoa()

static uint8_t * lib_itoa | ( | uint32_t | value,
|  | uint8_t * | str,
|  | uint32_t | base
| ) |  |
| static

Integer to alphanumberic conversion.

Parameters

  value | Number to convert to string.
  str | Pointer to buffer large enough to hold number.
  base | Base to convert number to.

Returns
  Pointer to str.

## Variable Documentation

## ◆ soc_type_arr

const char soc_type_arr[NUM_SOC_TYPE][8]
| static

Initial value:
= {
"AM263x",
"AM263p",
"AM273x",
"AWR294x",
"F29H85x",
"AM261X",
"F29P32x",
}